%% priklad 2
clear;

%% parametry signalu
A = 1.0;
N1 = 5;
No = 10;

%% signal -- jedna perioda
cask = 0:No-1;
signal = zeros(1,No);
for i = 0:N1-1,
  signal(i+1)=A;
end;

figure(1);clf;
stem([cask-No, cask, cask+No], [signal, signal, signal]);
xlabel('k');
ylabel('s[k]');

%% analyticke spektrum
%osan = 0:No-1;
osan = -No:2*No-1; % tri periody
SpekAnl = A/No*(1-exp(-1j*2*pi*osan*N1/No))...
  ./(1-exp(-1j*2*pi*osan/No));

%% spektrum pomoci DFT
SpekDFT = 1/No*fft(signal);

%% obr
figure(2);clf;
stem(osan,abs(SpekAnl), 'r-x');
hold on;
stem(-No:2*No-1, abs([SpekDFT, SpekDFT, SpekDFT]), 'b-o'); 
xlabel('n');
ylabel('|d_{n}|');
