%% priklad 3
clear;

%% parametry signalu
A = 1.0;
N1 = 7;

%% signal 
N = 20; %urcuje interval, na kterem signal vyrobim
cask = -N:N;
signal = zeros(1,2*N+1);
signal(  find( (0<=cask) & (cask<N1) )   ) = A;
%
figure(1);clf;
stem(cask,signal);
xlabel('k');
ylabel('s[k]');


%% analyticke spektrum
NOmega = 200;
oOmega = (0:NOmega-1)*2*pi/NOmega;
SpekAnl = A*(1-exp(-1j*N1*oOmega))./(1-exp(-1j*oOmega));

%% spektrum pomoci DFT
SpekDFT = fft(signal);

%% obr
figure(2);clf;
plot(oOmega,abs(SpekAnl), 'r-x');
hold on;
plot( (0:2*N)*2*pi/(2*N+1), abs(SpekDFT), 'b-o'); 
xlabel('\Omega');
ylabel('|S(\Omega)|');
