%% priklad 4
%%%%%%%%%%%%
clear;

%% parametry signalu
A = 1.0;
N1 = 5;

%% signal 
N = 20; %urcuje interval, na kterem signal vyrobim
cask = -N:N;
signal = zeros(1,2*N+1);
for i = find( (-N1<=cask) & (cask<=N1) ),
  signal(i) = A*( 1+cos(pi/N1*cask(i)) );
end;
%
figure(1);clf;
stem(cask,signal);
xlabel('k');
ylabel('s[k]');


%% analyticke spektrum
NOmega = 100;
oOmega = (0:NOmega-1)*2*pi/NOmega;
SpekAnl = A*cos(oOmega/2)./sin(oOmega/2).*sin(N1*oOmega).*...
  (1-cos(pi/N1))./(cos(pi/N1)-cos(oOmega));

%% spektrum pomoci DFT
SpekDFT = fft(signal);

%% obr
figure(2);clf;
plot(oOmega,abs(SpekAnl), 'r-x');
hold on;
plot( (0:2*N)*2*pi/(2*N+1), abs(SpekDFT), 'b-o'); 
xlabel('\Omega');
ylabel('|S(\Omega)|');
