%% priklad 5
%%%%%%%%%%%%
clear;

%% parametry signalu
A = 1.0;
a = 0.8;

%% signal 
N = 10; %
%N = 30; %
%N = 1e3; %
cask = -N:N; % interval, na kterem vyrabim signal
signal = A*a.^abs(cask);
%
figure(1);clf;
stem(cask,signal);
xlabel('k');
ylabel('s[k]');


%% analyticke spektrum
NOmega = 100;
oOmega = (0:NOmega-1)*2*pi/NOmega;
SpekAnl = A*(1-a^2)./(1-2*a*cos(oOmega)+a^2);

%% spektrum pomoci DFT
SpekDFT = fft(signal);

%% obr
figure(2);clf;
plot(oOmega,abs(SpekAnl), 'r-x');
hold on;
plot( (0:2*N)*2*pi/(2*N+1), abs(SpekDFT), 'b-o'); 
xlabel('\Omega');
ylabel('|S(\Omega)|');
