%  ir_betlem.wav   ir_iim01.wav   ir_iim02.wav   ir_iim03.wav
h1=audioread('ir_iim03.wav');

h1=h1(1:12000);
N1=length(h1);

% guitar_dry.wav  voice_dry.wav 
[sig,fs]=audioread('guitar_dry.wav');
N2=length(sig);

t=cputime; 
out=conv(sig,h1);
time_lin_conv=cputime-t

out=max(sig)/max(out)*out;

figure(10)
subplot(311)
plot(h1)
subplot(312)
plot(sig)
subplot(313)
plot(out)
drawnow



% Frame processing OLA
t=cputime;

NDFT=2;
while NDFT<N1,
    NDFT=NDFT*2;
end
NDFT=2*N1;
slen=N2;
overlap=N1-1;
wlen=NDFT-overlap;

wnum3=floor(slen/wlen);

outola=zeros(slen+overlap,1);
for i=1:wnum3,
    
    ii=(i-1)*wlen+1;
    jj=(i-1)*wlen+wlen;
   
    frame=[sig(ii:jj); zeros(overlap,1)];
   
    Y=fft(h1,NDFT).*fft(frame,NDFT) ;
    yframe=real(ifft(Y,NDFT));
   
    outola(ii:jj+overlap)= outola(ii:jj+overlap)+yframe;
    
end
time_ola=cputime-t 

outola=max(sig)/max(outola)*outola;

figure(10)
subplot(313)
plot(outola,'r');
hold on
plot(out-outola,'k');
hold off
drawnow

sound([sig; outola],fs)

