%% Priklad 1
clear;

%% parametry signalu
A = 1.0;
a = 0.8;
No = 5;

%% signal -- jedna perioda
cask = 0:No-1;
signal = A*a.^cask;

%% analyticke spektrum
%osan = 0:No-1; %jedna perioda
osan = -No:2*No-1; %tri periody
SpekAnl = A/No*(1-a^No)./(1-a*exp(-1j*2*pi*osan/No));

%% spektrum pomoci DFT
SpekDFT = 1/No*fft(signal);

%% obr
figure(2);clf;
stem(osan,abs(SpekAnl), 'r-x');
hold on;
stem(-No:2*No-1, abs([SpekDFT, SpekDFT, SpekDFT]), 'b-o');
xlabel('n');
ylabel('|d_{n}|');
