% 9. tyden - DEMO OLS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

N1=200;
h=1.5*0.97.^(0:(N1-1)) ;
%x1=[0:1/(N1/2):1-1/(N1/2) 1:-1/(N1/2):1/(N1/2) ] ;
N2=2000;  % Zvolit i hodnotu N2 = 300
% x2=ones(1,N2) ;
x=(1-0.5*sin(2*pi*17*(1:N2)./8000)).*sin(2*pi*234*(1:N2)./8000) ;

% Rad cyklicke konvoluce 

N=800 ;   % Volit N = 200, 300, 400, 512

y=conv(h,x) ;

figure(1)
subplot(311)
plot(h,'m','LineWidth',2)
title('Vstupni posloupnost x1')
xlim([0 N2+N1])
subplot(312)
plot(x)
xlim([0 N2+N1]);
ylim=([-2 2]);
a=axis;
line([N1 N1],[-2 2],'LineStyle',':','Color','k','LineWidth',2);
line([N2 N2],[-2 2],'LineStyle',':','Color','k','LineWidth',2);
title('Vstupni posloupnost x2')
subplot(313)
plot(y)
xlim([0 N2+N1])
a=axis;
line([N1 N1],[a(3) a(4)],'LineStyle',':','Color','k','LineWidth',2);
line([N2 N2],[a(3) a(4)],'LineStyle',':','Color','k','LineWidth',2);
title('Linearni konvoluce x1 a x2')

pause

subplot(312);
hold on
plot(1:100,fliplr(h(1:100)),'g','LineWidth',2,'LineStyle','--')
hold off
subplot(313)
hold on
plot(1:N1,y(1:N1),'g')
hold off

pause

subplot(312);
hold on
plot(300+(1:N1),fliplr(h),'m','LineWidth',2)
hold off
subplot(313)
hold on
plot(N1:N2,y(N1:N2),'m')
hold off

pause

subplot(312);
hold on
plot(1900+(1:N1),fliplr(h),'g','LineWidth',2,'LineStyle','--')
hold off
subplot(313)
hold on
plot(N2:N2+N1-1,y(N2:end),'g')
hold off




% x2=ones(1,N) ;
% x=sin(2*pi*234*(1:N)./8000) ;
x=x(1:N);

figure(2)
subplot(311)
plot(h)
xlim([0 N])
title('Vstupni posloupnost x1')
subplot(312)
plot(x)
xlim([0 N])
title('Vstupni posloupnost x2')

Y=fft(h,N).*fft(x,N) ;
y2=real(ifft(Y,N));

subplot(313)
plot(y(1:N),'k')
hold on
plot(y2)
hold off
xlim([0 N])
title(['Cyklicka konvoluce x1 a x2, pri NDFT = ' num2str(N)])




subplot(312);
hold on
plot(1:100,fliplr(h(1:100)),'g','LineWidth',2,'LineStyle','--')
hold off
subplot(313)
hold on
plot(1:N1,y2(1:N1),'g')
hold off


subplot(312);
hold on
plot(N+50+(1:N1),fliplr(h),'m','LineWidth',2)
hold off
subplot(313)
hold on
plot(N1:N,y2(N1:N),'m')
hold off

