% cviceni 7 - Nelinearni zkresleni
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x=[];
for i=1:10,
    x=[x ones(1,100) -1*ones(1,100) ] ;
end

% x=load('ekg1.asc');
% x=load('ekg50.asc');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fs=200;
% fn=[49 51];
% fn=[5 90];
fn=[5];
Wn=2*fn/fs;

fs1=4 ;
fp1=6 ;
Ws=2*fs1/fs ;
Wp=2*fp1/fs;

Rp=0.5;
Rs=40;

type='low';
%type='high';
%type='bandpass';
%type='stop';

Nfir=30;
Nbutt=6;
Ncheby=6;
Ncheby=6;
Nellip=6;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Navrh z tolerancniho pole
fc=2*[fs1 fp1]./fs ;
amp = [1 0];
dev = [1-10^(-Rp/20) 10^(-Rs/20)];
[n, W, beta, ftype] = kaiserord ( fc, amp, dev ) ;
b = fir1 ( n, W, ftype, kaiser(n+1, beta) ) ;

% Primy empiricky navrh
% b=fir1(Nfir,Wn,type);


figure(1); freqz(b,1,1000,fs) ;
Hfir=freqz(b,1,1000,fs) ;

yfir=filter(b,1,x);

figure(2)
subplot(211)
plot(x)
subplot(212)
plot(yfir)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Navrh z tolerancniho pole

[N, Wn] = buttord(Wp, Ws, Rp, Rs) 
[b1,a1]=butter(N,Wn,type);


% primy empiricky navrh ;
% [b1,a1]=butter(Nbutt,Wn,type);


figure(3); freqz(b1,a1,1000,fs) ;
H1=freqz(b1,a1,1000,fs) ;

y=filter(b1,a1,x);

figure(4)
subplot(211)
plot(x)
subplot(212)
plot(y)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Navrh z tolerancniho pole

[N, Wn] = cheb1ord(Wp, Ws, Rp, Rs) 
[b2,a2]=cheby1(N,Rp,Wn,type);


% primy empiricky navrh ;
% [b2,a2]=cheby1(Ncheby,Rp,Wn,type);


figure(5); freqz(b2,a2,1000,fs) ;
H2=freqz(b2,a2,1000,fs) ;

y=filter(b2,a2,x);

figure(6)
subplot(211)
plot(x)
subplot(212)
plot(y)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Navrh z tolerancniho pole

[N, Wn] = cheb2ord(Wp, Ws, Rp, Rs) 
[b3,a3]=cheby2(N,Rs, Wn,type);


% primy empiricky navrh ;
% [b3,a3]=cheby2(Ncheby,Rs,Wn,type);


figure(7); freqz(b3,a3,1000,fs) ;
H3=freqz(b3,a3,1000,fs) ;

y=filter(b3,a3,x);

figure(8)
subplot(211)
plot(x)
subplot(212)
plot(y)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Navrh z tolerancniho pole

[N, Wn] = ellipord(Wp, Ws, Rp, Rs) 
[b4,a4]=ellip(N,Rp,Rs,Wn,type);


% primy empiricky navrh ;
% [b4,a4]=ellip(Nellip,Rp,Rs,Wn,type);


figure(9); freqz(b4,a4,1000,fs) ;
[H4,ff]=freqz(b4,a4,1000,fs) ;

y=filter(b4,a4,x);

figure(10)
subplot(211)
plot(x)
subplot(212)
plot(y)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(11)
plot(ff,20*log10(abs(Hfir)),'b');
hold on
plot(ff,20*log10(abs(H1)),'g');
plot(ff,20*log10(abs(H2)),'r');
plot(ff,20*log10(abs(H3)),'m');
plot(ff,20*log10(abs(H4)),'k');
hold off
axis([0 fs/2 -80 10])
grid


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(12)
plot(ff,unwrap(angle(Hfir)),'b');
hold on
plot(ff,unwrap(angle(H1)),'g');
plot(ff,unwrap(angle(H2)),'r');
plot(ff,unwrap(angle(H3)),'m');
plot(ff,unwrap(angle(H4)),'k');
hold off
%axis([0 fs/2 -80 10])
grid


