% Cviceni 3

A=1;
f=15;
fs=200;
tmax=1;

tt=0:1/fs:1-1/fs ;
s1=A*sin(2*pi*f*tt);

figure(1)
plot(tt,s1);
title('Sinusovka')


figure(2)

kk=-length(s1)+1:length(s1)-1;

subplot(221)
plot(kk,xcorr(s1,'biased')) ;
xlabel('k')
ylabel('R[k]');
title('Sinusovka - Biased')
subplot(222)
plot(kk,xcorr(s1,'unbiased')) ;
xlabel('k')
ylabel('R[k]');
title('Sinusovka - Unbiased')
subplot(223)
plot(kk,xcorr(s1,'coeff')) ;
xlabel('k')
ylabel('R[k]');
title('Sinusovka - Coeff')
subplot(224)
plot(kk,xcorr(s1,'none')) ;
xlabel('k')
ylabel('R[k]');
title('Sinusovka - None')


% Odhady autokorelace bileho sumu

fs=200;
tmax=1;   % Sledovat tez pro tmax = 10  (b2)
b1=sqrt(0.7)*randn(1,fs*tmax);

figure(3)
plot(b1);


figure(4)

kk=-length(b1)+1:length(b1)-1;

subplot(221)
plot(kk,xcorr(b1,'biased')) ;
xlabel('k')
ylabel('R[k]');
title('Gauss.sum - Biased')
subplot(222)
plot(kk,xcorr(b1,'unbiased')) ;
xlabel('k')
ylabel('R[k]');
title('Gauss.sum - Unbiased')
subplot(223)
plot(kk,xcorr(b1,'coeff')) ;
xlabel('k')
ylabel('R[k]');
title('Gauss.sum - Coeff')
subplot(224)
plot(kk,xcorr(b1,'none')) ;
xlabel('k')
ylabel('R[k]');
title('Gauss.sum - None')


sp1=loadbin('vm5.bin');
sp2=loadbin('vf5.bin');

figure(5) ;
subplot(221)
plot(sp1)
sp1frame=sp1(501:1000)+0.03;
subplot(222)
plot(sp1frame);

subplot(223)
plot(sp2)
sp2frame=sp2(521:1200);
subplot(224)
plot(sp2frame);


figure(6)
kk=-length(sp1frame)+1:length(sp1frame)-1 ;
subplot(211)
plot(kk,xcorr(sp1frame,'biased'));
subplot(212)
plot(kk,xcorr(sp2frame,'biased'));


